# Asterisk Project : Asterisk 13 Function_MINIVMCOUNTER

Created by wikibot on Aug 08, 2014

# MINIVMCOUNTER()

### Synopsis

Reads or sets counters for MiniVoicemail message.

### Description

The operation is atomic and the counter is locked while changing the value. The counters are stored as text files in the minivm account directories. It might be better to use realtime functions if you are using a database to operate your Asterisk.

### Syntax

    MINIVMCOUNTER(account:name:operand)

##### Arguments

- `account` - If account is given and it exists, the counter is specific for the account.
  If account is a domain and the domain directory exists, counters are specific for a domain.
- `name` - The name of the counter is a string, up to 10 characters.
- `operand` - The counters never goes below zero. Valid operands for changing the value of a counter when assigning a value are:
  - `i` - Increment by value.
  - `d` - Decrement by value.
  - `s` - Set to value.

### See Also

- Asterisk 13 Application_MinivmRecord
- Asterisk 13 Application_MinivmGreet
- Asterisk 13 Application_MinivmNotify
- Asterisk 13 Application_MinivmDelete
- Asterisk 13 Application_MinivmAccMess
- Asterisk 13 Application_MinivmMWI
- Asterisk 13 Function_MINIVMACCOUNT

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538